package com.zbf.system.domain;

import java.util.Date;
import java.util.List;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.BaseEntity;

/**
 * 出库单历史表对象 t_ck_orders_bak
 *
 * @author tony
 * @date 2024-07-03
 */
@TableName(resultMap = "com.zbf.system.mapper.TckOrdersBakMapper.TckOrdersBakResult")
public class TckOrdersBak extends BaseEntity {
private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    private String id;

    /** 出库单号 */
    @Excel(name = "出库单号")
    private String orderId;

    /** 仓库编号 */
    @Excel(name = "仓库编号")
    private String storageId;
    /** 仓库编号 */
    @Excel(name = "仓库名称")
    private String storageShortName;

    /** 库区编号 */
    @Excel(name = "库区编号")
    private String storageAreaId;

    /** 出库类型 */
    @Excel(name = "出库类型")
    private String ckType;

    /** 出库方式 */
    @Excel(name = "出库方式")
    private String deliveryMethod;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 审核状态 0：未审核1：已审核 */
    @Excel(name = "审核状态 0：未审核1：已审核")
    private String isAudit;

    /** 审核人 */
    @Excel(name = "审核人")
    private String auditMan;
    /** 钉钉实例ID */
    @Excel(name = "钉钉实例ID")
    private String instanceId;
    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditDate;

    /** 订单来源 */
    @Excel(name = "订单来源")
    private String orderSource;

    /** 站台 */
    @Excel(name = "站台")
    private String outStand;

    /** 订单类型 */
    @Excel(name = "订单类型")
    private String orderType;

    /** 确认状态 */
    @Excel(name = "确认状态")
    private String confirmStatus;

    /** 操作人 */
    @Excel(name = "操作人")
    private String recordPerson;

    /** 申请人 */
    @Excel(name = "申请人")
    private String applicant;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date recordDate;

    /** 生产订单号 */
    @Excel(name = "生产订单号")
    private String productId;

    /** 工位 */
    @Excel(name = "工位")
    private String stationId;

    /** 任务号 */
    @Excel(name = "任务号")
    private String taskId;

    /** 下单时间 */
    @Excel(name = "下单时间")
    private String orderDate;

    /**来源单号 */
    @Excel(name = "来源单号",needMerge = true)
    private String deliveryId;

/** 出库物料明细信息 */
    private List<TckOrderdetailBak> tckOrderdetailBakList;

    private Long deptId;

    /**是否AGV */
    private int isAvgExec;

    @Excel(name = "审核意见",needMerge = true)
    private String rejectReason;
    /** 订单类型 */
    @Excel(name = "设备返回CODE",needMerge = true)
    private String code;
    /** 订单类型 */
    @Excel(name = "设备返回信息",needMerge = true)
    private String errMsg;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }

    public String getRejectReason() {
        return rejectReason;
}

    public String getStorageShortName() {
        return storageShortName;
    }

    public void setStorageShortName(String storageShortName) {
        this.storageShortName = storageShortName;
    }

    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
}

public int getIsAvgExec() {
        return isAvgExec;
}

public void setIsAvgExec(int isAvgExec) {
        this.isAvgExec = isAvgExec;
}

public String getDeliveryId() {
        return deliveryId;
}

public void setDeliveryId(String deliveryId) {
        this.deliveryId = deliveryId;
}

public Long getDeptId() {
        return deptId;
    }

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public void setId(String id)
            {
            this.id = id;
            }

    public String getId()
            {
            return id;
            }
    public void setOrderId(String orderId)
            {
            this.orderId = orderId;
            }

    public String getOrderId()
            {
            return orderId;
            }
    public void setStorageId(String storageId)
            {
            this.storageId = storageId;
            }

    public String getStorageId()
            {
            return storageId;
            }
    public void setStorageAreaId(String storageAreaId)
            {
            this.storageAreaId = storageAreaId;
            }

    public String getStorageAreaId()
            {
            return storageAreaId;
            }
    public void setCkType(String ckType)
            {
            this.ckType = ckType;
            }

    public String getCkType()
            {
            return ckType;
            }
    public void setDeliveryMethod(String deliveryMethod)
            {
            this.deliveryMethod = deliveryMethod;
            }

    public String getDeliveryMethod()
            {
            return deliveryMethod;
            }
    public void setStatus(String status)
            {
            this.status = status;
            }

    public String getStatus()
            {
            return status;
            }
    public void setIsAudit(String isAudit)
            {
            this.isAudit = isAudit;
            }

    public String getIsAudit()
            {
            return isAudit;
            }
    public void setAuditMan(String auditMan)
            {
            this.auditMan = auditMan;
            }

    public String getAuditMan()
            {
            return auditMan;
            }
    public void setAuditDate(Date auditDate)
            {
            this.auditDate = auditDate;
            }

    public Date getAuditDate()
            {
            return auditDate;
            }
    public void setOrderSource(String orderSource)
            {
            this.orderSource = orderSource;
            }

    public String getOrderSource()
            {
            return orderSource;
            }
    public void setOutStand(String outStand)
            {
            this.outStand = outStand;
            }

    public String getOutStand()
            {
            return outStand;
            }
    public void setOrderType(String orderType)
            {
            this.orderType = orderType;
            }

    public String getOrderType()
            {
            return orderType;
            }
    public void setConfirmStatus(String confirmStatus)
            {
            this.confirmStatus = confirmStatus;
            }

    public String getConfirmStatus()
            {
            return confirmStatus;
            }
    public void setRecordPerson(String recordPerson)
            {
            this.recordPerson = recordPerson;
            }

    public String getRecordPerson()
            {
            return recordPerson;
            }
    public void setApplicant(String applicant)
            {
            this.applicant = applicant;
            }

    public String getApplicant()
            {
            return applicant;
            }
    public void setRecordDate(Date recordDate)
            {
            this.recordDate = recordDate;
            }

    public Date getRecordDate()
            {
            return recordDate;
            }
    public void setProductId(String productId)
            {
            this.productId = productId;
            }

    public String getProductId()
            {
            return productId;
            }
    public void setStationId(String stationId)
            {
            this.stationId = stationId;
            }

    public String getStationId()
            {
            return stationId;
            }
    public void setTaskId(String taskId)
            {
            this.taskId = taskId;
            }

    public String getTaskId()
            {
            return taskId;
            }
    public void setOrderDate(String orderDate)
            {
            this.orderDate = orderDate;
            }

    public String getOrderDate()
            {
            return orderDate;
            }

public List<TckOrderdetailBak> getTckOrderdetailBakList()
        {
        return tckOrderdetailBakList;
        }

public void setTckOrderdetailBakList(List<TckOrderdetailBak> tckOrderdetailBakList)
        {
        this.tckOrderdetailBakList = tckOrderdetailBakList;
        }

@Override
public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("orderId", getOrderId())
            .append("storageId", getStorageId())
            .append("storageAreaId", getStorageAreaId())
            .append("ckType", getCkType())
            .append("deliveryMethod", getDeliveryMethod())
            .append("remark", getRemark())
            .append("status", getStatus())
            .append("isAudit", getIsAudit())
            .append("auditMan", getAuditMan())
            .append("auditDate", getAuditDate())
            .append("orderSource", getOrderSource())
            .append("outStand", getOutStand())
            .append("orderType", getOrderType())
            .append("confirmStatus", getConfirmStatus())
            .append("recordPerson", getRecordPerson())
            .append("applicant", getApplicant())
            .append("recordDate", getRecordDate())
            .append("productId", getProductId())
            .append("stationId", getStationId())
            .append("taskId", getTaskId())
            .append("orderDate", getOrderDate())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("tckOrderdetailBakList", getTckOrderdetailBakList())
        .toString();
        }
}


















